PrefabFiles = {
	"miotan"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/miotan.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/miotan.xml" ),

    --Asset( "IMAGE", "images/selectscreen_portraits/miotan.tex" ),
    --Asset( "ATLAS", "images/selectscreen_portraits/miotan.xml" ),

    --Asset( "IMAGE", "images/selectscreen_portraits/miotan_silho.tex" ),
    --Asset( "ATLAS", "images/selectscreen_portraits/miotan_silho.xml" ),

    Asset( "IMAGE", "images/names_miotan.tex" ),
    Asset( "ATLAS", "images/names_miotan.xml" ),

    Asset( "IMAGE", "bigportraits/miotan.tex" ),
    Asset( "ATLAS", "bigportraits/miotan.xml" ),

    Asset( "IMAGE", "bigportraits/miotan_none.tex" ),
    Asset( "ATLAS", "bigportraits/miotan_none.xml" ),

	Asset( "IMAGE", "images/map_icons/miotan.tex" ),
	Asset( "ATLAS", "images/map_icons/miotan.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_miotan.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_miotan.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_ghost_miotan.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_miotan.xml" ),

    Asset( "IMAGE", "images/avatars/self_inspect_miotan.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_miotan.xml" ),

}

local EventHandler = GLOBAL.EventHandler
local Action = GLOBAL.Action
local ACTIONS = GLOBAL.ACTIONS
local ActionHandler = GLOBAL.ActionHandler
local STRINGS = GLOBAL.STRINGS
local TheSim = GLOBAL.TheSim
local TheNet = GLOBAL.TheNet

local ThePlayer = GLOBAL.ThePlayer
local TheWorld = GLOBAL.TheWorld

local require = GLOBAL.require

AddMinimapAtlas("images/map_icons/miotan.xml")
AddModCharacter("miotan", "FEMALE")

-- lang --
--TUNING.LANGA = GetModConfigData("LANG")

    -- The character select screen lines
if GLOBAL.KnownModIndex:IsModEnabled("workshop-572538624") then
    STRINGS.CHARACTER_TITLES.miotan = "梦魇少女"
    STRINGS.CHARACTER_NAMES.miotan = "澪"
    STRINGS.CHARACTER_DESCRIPTIONS.miotan = "* 世界待她不一样\n* 梦魇的朋友"
    STRINGS.CHARACTER_QUOTES.miotan = "\"假如我可以吞噬噩梦\""
else
    STRINGS.CHARACTER_TITLES.miotan = "Nightmare Eater"
    STRINGS.CHARACTER_NAMES.miotan = "Mio"
    STRINGS.CHARACTER_DESCRIPTIONS.miotan = "* World treats her differently.\n* Is a friend of nightmare."
    STRINGS.CHARACTER_QUOTES.miotan = "\"If I could eat nightmare!\""
end

-- Custom speech strings
	STRINGS.CHARACTERS.MIOTAN = require "speech_wendy"

-- The character's name as appears in-game
	STRINGS.NAMES.miotan = "Mio"

modimport("scripts/patches/eatfuel.lua")
modimport("scripts/patches/ediblefuel.lua")
modimport("scripts/patches/tradefuel.lua")
modimport("scripts/patches/fuelactions.lua")
